/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package tpBanqueGabertHasbi;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

/**
 *
 * @author Philippe
 */
@MessageDriven(mappedName = "jms/NewMessage", activationConfig =  {
        @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
        @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Topic"),
        @ActivationConfigProperty(propertyName = "subscriptionDurability", propertyValue = "Durable"),
        @ActivationConfigProperty(propertyName = "clientId", propertyValue = "NewMessageBean"),
        @ActivationConfigProperty(propertyName = "subscriptionName", propertyValue = "NewMessageBean")
    })
public class NewMessageBean implements MessageListener {
    
    public NewMessageBean() {
    }

    public void onMessage(Message msg) {
        if(msg instanceof TextMessage) {            TextMessage tm = (TextMessage) msg;
           try {
              String text = tm.getText();
              System.out.println("Received new message :"  + text);
            } catch (JMSException e) {
              e.printStackTrace();
            }
        }  
    }
    
}
