<%--
    Document   : afficheurDeComptes
    Created on : 17 sept. 2009, 10:48:04
    Author     : Philippe
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Ma banque</title>
        <script language="JavaScript" type="text/javascript" src="javascript/script.js"></script>
        <script language="JavaScript" type="text/javascript" src="javascript/NLB_bgFade.js"></script>
        <link rel="stylesheet" href="styles/styles.css">
    </head>
    <body onKeyPress="if (event.keyCode == 13) envoyerForm();" >

        <div class="titreHaut"><img src="images/banque.png" align="texttop" alt="Banque"> Gestionnaire de comptes en banque</div>
        <div id="retourInfo" class="retourInfo">&nbsp;</div>
        <br>
            <div class="TousLesBoutonsHaut">
        <a href="javascript:void(0);" class="sansLigne" onclick="affDiv('divTransfert'); if(document.getElementById('divTransfert').style.display == 'block') chargerListeComptes('','compteSource'); ">
                <div class="boutonsHaut"><img src="images/transfert.png"/><br>Transfert d'argent...</div></a>
            
            
        <a href="javascript:void(0);" onclick="affDiv('divcreationCompte');" class="sansLigne">
                <div class="boutonsHaut"><img src="images/creerCompte.png"/><br>Créer un nouveau compte</div></a>
            
            
        <a href="javascript:void(0);" class="sansLigne" onclick="affDiv('divSuppressionCompte');if(document.getElementById('divSuppressionCompte').style.display == 'block') chargerListeComptes('','compteASupprimer'); ">
            <div class="boutonsHaut"><img src="images/supprimerCompte.png"/><br>Supprimer un compte </div></a>
           
            
        <a href="javascript:void(0);" class="sansLigne" onclick="affDiv('divChangerSolde');if(document.getElementById('divChangerSolde').style.display == 'block') chargerListeComptes('','compteSoldeAModifier');">
            <div class="boutonsHaut"><img src="images/modifierSolde.png"/><br>Modifier le solde d'un compte</div></a>

            <div id="divcreationCompte" style="display:none;">
            <fieldset class="field"><legend>Créer un nouveau compte:</legend>
                <br>
                
                    Nom du propriétaire:<br>
                    <input type="text" size="20" name="nouveauProp" id="nouveauProp" />
                    <br>
                    Solde:<br>
                    <input type="text" size="10" name="nouveauSolde" id="nouveauSolde" />
                    <br>
                    <input type="button" value="Créer le compte" name="creerNouveauCompte" onclick="creerCompte();"/>
                
                

            </fieldset>
        </div>
        <div id="divTransfert" style="display:none;">

            <fieldset class="field">
                <legend>Transférer de l'argent</legend>
                <br>
                
                    Compte source:
                    <select name="compteSource" id="compteSource"
                            onblur="chargerListeComptes(document.getElementById('compteSource').options[document.getElementById('compteSource').selectedIndex].value,'compteDesti' ); "
                            onchange="chargerListeComptes(document.getElementById('compteSource').options[document.getElementById('compteSource').selectedIndex].value,'compteDesti' ); ">
                    
                    </select>
                    <br>
                    Compte destinataire:<br>
                    <select name="compteDesti" id="compteDesti">
                    <option value="">Compte destinataire</option>
                    </select>
                    <br>
                    Montant:<br>
                    <input type="text" size="10" name="montantTrans" id="montantTrans" />
                    <br>
                    <input type="button" value="Transférer l'argent" name="transfererArgent" onclick="transferer();"/>
                
                

            </fieldset>
        </div>
        <div id="divSuppressionCompte" style="display:none;">
            <fieldset class="field">
                <legend>Supprimer un compte</legend>
                
                    <select name="compteASupprimer" id="compteASupprimer">

                    </select>
                    <br>
                    <input type="button" value="Supprimer" name="supprimerCompte" onclick="supprimerCompteFunc(document.getElementById('compteASupprimer').options[document.getElementById('compteASupprimer').selectedIndex].value);"/>
                
                
            </fieldset>
        </div>
        <div id="divChangerSolde" style="display:none;">
            <fieldset class="field">
                <legend>Changer le solde d'un compte</legend>
                
                    <select name="compteSoldeAModifier" id="compteSoldeAModifier">

                    </select>
                    <br>
                        Nouveau solde:<br>
                    <input type="text" value="" name="montantchangerSolde" id="montantchangerSolde">
                        <br>
                    <input type="button" value="Changer" name="changerSoldeB" onclick="changerSoldeCompte();"/>
                
                
            </fieldset>
        </div>
            </div>
            
        
        <div id="tableauCompte" class="divTableau">
            <table width="100%" border="1" id="tableauComptes" class="tableauComptes">
                <tr>
                    <th>ID</th>
                    <th>Propriétaire</th>
                    <th>Solde</th>
                    <th>Action</th>
                </tr>
                <c:forEach var="u" items="${requestScope['CompteBancaire']}">
                    <tr>
                        <td>${u.id}</td>
                        <td>${u.nom}</td>
                        <td>${u.solde}</td>
                        <td><a href="javascript:supprimerCompteFunc(${u.id});"><img src="images/close16.png" alt="Supprimer ce compte."></a></td>
                    </tr>
                </c:forEach>
            </table>
            <br>

        </div>
        
    </body>
</html>
